// Copyright (c) 2015, InfluxFramework LLC
// License: GNU General Public License v3. See license.txt


influxframework.require("assets/influxerp/js/financial_statements.js", function() {
	influxframework.query_reports["Profit and Loss Statement"] = $.extend({},
		influxerp.financial_statements);

	influxerp.utils.add_dimensions('Profit and Loss Statement', 10);

	influxframework.query_reports["Profit and Loss Statement"]["filters"].push(
		{
			"fieldname": "project",
			"label": __("Project"),
			"fieldtype": "MultiSelectList",
			get_data: function(txt) {
				return influxframework.db.get_link_options('Project', txt);
			}
		},
		{
			"fieldname": "include_default_book_entries",
			"label": __("Include Default Book Entries"),
			"fieldtype": "Check",
			"default": 1
		}
	);
});
